JBossIL (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossIL interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossIL

All Superinterfaces:
  JBossInvocationLayer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  JBossJVMInvocationLayer, JBossOIL, JBossRMIInvocationLayer

    public interface JBossIL

extends JBossInvocationLayer

Represents a JBoss Invocation Layer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`long` | `getPingPeriod()`
`java.lang.String` | `getStateString()`
`java.lang.String` | `getXAConnectionFactoryJNDIRef()`
`boolean` | `hasPingPeriod()`
`boolean` | `hasStateString()`
`boolean` | `hasXAConnectionFactoryJNDIRef()`
`void` | `setPingPeriod(long period)`
`void` | `setStateString(java.lang.String state)`
`void` | `setXAConnectionFactoryJNDIRef(java.lang.String xaref)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossInvocationLayer
`getConnectionFactoryJNDIRef, getName, getParent, hasConnectionFactoryJNDIRef, hasName, hasParent, setConnectionFactoryJNDIRef, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getXAConnectionFactoryJNDIRef

    java.lang.String getXAConnectionFactoryJNDIRef()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXAConnectionFactoryJNDIRef

    void setXAConnectionFactoryJNDIRef(java.lang.String xaref)

### hasXAConnectionFactoryJNDIRef

    boolean hasXAConnectionFactoryJNDIRef()

### getPingPeriod

    long getPingPeriod()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPingPeriod

    void setPingPeriod(long period)

### hasPingPeriod

    boolean hasPingPeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD